Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F	(revision 5101)
@@ -62,15 +62,15 @@
         
         ndex(1) = 0
-        call histwrite(fluxid, 'phis', 1, phis, iip1*jjp1, ndex)
-        call histwrite(fluxid, 'aire', 1, aire, iip1*jjp1, ndex)
+        CALL histwrite(fluxid, 'phis', 1, phis, iip1*jjp1, ndex)
+        CALL histwrite(fluxid, 'aire', 1, aire, iip1*jjp1, ndex)
         
         ndex(1) = 0
         nscal = 1
         tst(1) = time_step
-        call histwrite(fluxdid, 'dtvr', 1, tst, nscal, ndex)
+        CALL histwrite(fluxdid, 'dtvr', 1, tst, nscal, ndex)
         ist(1)=istdyn
-        call histwrite(fluxdid, 'istdyn', 1, ist, nscal, ndex)
+        CALL histwrite(fluxdid, 'istdyn', 1, ist, nscal, ndex)
         istp(1)= istphy
-        call histwrite(fluxdid, 'istphy', 1, istp, nscal, ndex)
+        CALL histwrite(fluxdid, 'istphy', 1, istp, nscal, ndex)
         
         first = .false.
@@ -140,20 +140,20 @@
         write(lunout,*)'ITAU auquel on stoke les fluxmasses',itau
         
-        call histwrite(fluxid, 'masse', itau, massem,
+        CALL histwrite(fluxid, 'masse', itau, massem,
      .               iip1*jjp1*llm, ndex)
         
-        call histwrite(fluxid, 'pbaru', itau, pbarug,
+        CALL histwrite(fluxid, 'pbaru', itau, pbarug,
      .               iip1*jjp1*llm, ndex)
         
-        call histwrite(fluxvid, 'pbarv', itau, pbarvg,
+        CALL histwrite(fluxvid, 'pbarv', itau, pbarvg,
      .               iip1*jjm*llm, ndex)
         
-        call histwrite(fluxid, 'w' ,itau, wg, 
+        CALL histwrite(fluxid, 'w' ,itau, wg,
      .             iip1*jjp1*llm, ndex) 
         
-        call histwrite(fluxid, 'teta' ,itau, tetac, 
+        CALL histwrite(fluxid, 'teta' ,itau, tetac,
      .             iip1*jjp1*llm, ndex) 
         
-        call histwrite(fluxid, 'phi' ,itau, phic, 
+        CALL histwrite(fluxid, 'phi' ,itau, phic,
      .             iip1*jjp1*llm, ndex) 
         
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F	(revision 5101)
@@ -52,9 +52,9 @@
       IF (firstcall) THEN
         ! set friction type
-        call getin("friction_type",friction_type)
+        CALL getin("friction_type",friction_type)
         if ((friction_type<0).or.(friction_type>1)) then
           abort_message="wrong friction type"
           write(lunout,*)'Friction: wrong friction type',friction_type
-          call abort_gcm(modname,abort_message,42)
+          CALL abort_gcm(modname,abort_message,42)
         endif
         firstcall=.false.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5101)
@@ -143,10 +143,10 @@
   CALL conf_gcm( 99, .TRUE.)
 
-  if (mod(iphysiq, iperiod) /= 0) call abort_gcm("conf_gcm", &
+  if (mod(iphysiq, iperiod) /= 0) CALL abort_gcm("conf_gcm", &
        "iphysiq must be a multiple of iperiod", 1)
 
   use_filtre_fft=.FALSE.
   CALL getin('use_filtre_fft',use_filtre_fft)
-  IF (use_filtre_fft) call abort_gcm("gcm", 'FFT filter is not available in ' &
+  IF (use_filtre_fft) CALL abort_gcm("gcm", 'FFT filter is not available in ' &
           // 'the sequential version of the dynamics.', 1)
 
@@ -166,5 +166,5 @@
 !#ifdef CPP_PHYS
 !  CALL Init_Phys_lmdz(iim,jjp1,llm,1,(/(jjm-1)*iim+2/))
-!  !      call InitComgeomphy ! now done in iniphysiq
+!  !      CALL InitComgeomphy ! now done in iniphysiq
 !#endif
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -177,15 +177,15 @@
 #ifdef CPP_IOIPSL
   if (calend == 'earth_360d') then
-     call ioconf_calendar('360_day')
+     CALL ioconf_calendar('360_day')
      write(lunout,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
   else if (calend == 'earth_365d') then
-     call ioconf_calendar('noleap')
+     CALL ioconf_calendar('noleap')
      write(lunout,*)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
   else if (calend == 'gregorian') then
-     call ioconf_calendar('gregorian')
+     CALL ioconf_calendar('gregorian')
      write(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
   else
      abort_message = 'Mauvais choix de calendrier'
-     call abort_gcm(modname,abort_message,1)
+     CALL abort_gcm(modname,abort_message,1)
   endif
 #endif
@@ -203,5 +203,5 @@
   !  Choix du nombre de traceurs et du schema pour l'advection
   !  dans fichier traceur.def, par default ou via INCA
-  call init_infotrac
+  CALL init_infotrac
 
   ! Allocation de la tableau q : champs advectes   
@@ -253,5 +253,5 @@
      abort_message =  &
           'Il faut choisir un nb de pas par jour multiple de iperiod'
-     call abort_gcm(modname,abort_message,1)
+     CALL abort_gcm(modname,abort_message,1)
   ENDIF
 
@@ -259,5 +259,5 @@
      abort_message =  &
           'Il faut choisir un nb de pas par jour multiple de iphysiq'
-     call abort_gcm(modname,abort_message,1)
+     CALL abort_gcm(modname,abort_message,1)
   ENDIF
 
@@ -277,5 +277,5 @@
         start_time = starttime
      ELSE
-        call abort_gcm("gcm", "'Je m''arrete'", 1)
+        CALL abort_gcm("gcm", "'Je m''arrete'", 1)
      ENDIF
   ENDIF
@@ -328,14 +328,14 @@
   mois = 1
   heure = 0.
-  call ymds2ju(annee_ref, mois, day_ref, heure, jD_ref)
+  CALL ymds2ju(annee_ref, mois, day_ref, heure, jD_ref)
   jH_ref = jD_ref - int(jD_ref)
   jD_ref = int(jD_ref)
 
-  call ioconf_startdate(INT(jD_ref), jH_ref)
+  CALL ioconf_startdate(INT(jD_ref), jH_ref)
 
   write(lunout,*)'DEBUG'
   write(lunout,*)'annee_ref, mois, day_ref, heure, jD_ref'
   write(lunout,*)annee_ref, mois, day_ref, heure, jD_ref
-  call ju2ymds(jD_ref+jH_ref,an, mois, jour, heure)
+  CALL ju2ymds(jD_ref+jH_ref,an, mois, jour, heure)
   write(lunout,*)'jD_ref+jH_ref,an, mois, jour, heure'
   write(lunout,*)jD_ref+jH_ref,an, mois, jour, heure
@@ -392,7 +392,7 @@
 
 #ifdef CPP_IOIPSL
-  call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
+  CALL ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
   write (lunout,301)jour, mois, an
-  call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
+  CALL ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
   write (lunout,302)jour, mois, an
 301 FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/getparam.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/getparam.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/getparam.F90	(revision 5101)
@@ -49,5 +49,5 @@
 
     ret_val=def_val
-    call getin(TARGET,ret_val)
+    CALL getin(TARGET,ret_val)
 
     write(out_eff,*) '######################################'
@@ -72,5 +72,5 @@
 
     ret_val=def_val
-    call getin(TARGET,ret_val)
+    CALL getin(TARGET,ret_val)
 
     write(out_eff,*) '######################################'
@@ -96,5 +96,5 @@
 
     ret_val=def_val
-    call getin(TARGET,ret_val)
+    CALL getin(TARGET,ret_val)
 
     write(out_eff,*) '######################################'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F	(revision 5101)
@@ -60,12 +60,12 @@
 c   Champs 1D
 
-      call convflu(pbaru,pbarv,llm,zconvm)
+      CALL convflu(pbaru,pbarv,llm,zconvm)
 
-      call scopy(ijp1llm,zconvm,1,zconvmm,1)
-      call scopy(ijmllm,pbarv,1,pbarvm,1)
+      CALL scopy(ijp1llm,zconvm,1,zconvmm,1)
+      CALL scopy(ijmllm,pbarv,1,pbarvm,1)
 
       if (groupe_ok) then
-      call groupeun(jjp1,llm,zconvmm)
-      call groupeun(jjm,llm,pbarvm)
+      CALL groupeun(jjp1,llm,zconvmm)
+      CALL groupeun(jjm,llm,pbarvm)
 
 c   Champs 3D
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5101)
@@ -89,5 +89,5 @@
 ! Lecture des parametres:  
 ! ---------------------------------------------
-    call ini_getparam("nudging_parameters_out.txt")
+    CALL ini_getparam("nudging_parameters_out.txt")
 ! Variables guidees
     CALL getpar('guide_u',.true.,guide_u,'guidage de u')
@@ -102,5 +102,5 @@
     CALL getpar('guide_zon',.false.,guide_zon,'guidage moy zonale')
     if (guide_zon .and. abs(grossismx - 1.) > 0.01) &
-         call abort_gcm("guide_init", &
+         CALL abort_gcm("guide_init", &
          "zonal nudging requires grid regular in longitude", 1)
 
@@ -166,5 +166,5 @@
     CALL getpar('guide_2D',.false.,guide_2D,'fichier guidage lat-P')
 
-    call fin_getparam
+    CALL fin_getparam
     
 ! ---------------------------------------------
@@ -400,9 +400,9 @@
 ! Calcul des constantes de rappel
         factt=dtvr*iperiod/daysec 
-        call tau2alpha(3,iip1,jjm ,factt,tau_min_v,tau_max_v,alpha_v)
-        call tau2alpha(2,iip1,jjp1,factt,tau_min_u,tau_max_u,alpha_u)
-        call tau2alpha(1,iip1,jjp1,factt,tau_min_T,tau_max_T,alpha_T)
-        call tau2alpha(1,iip1,jjp1,factt,tau_min_P,tau_max_P,alpha_P)
-        call tau2alpha(1,iip1,jjp1,factt,tau_min_Q,tau_max_Q,alpha_Q)
+        CALL tau2alpha(3,iip1,jjm ,factt,tau_min_v,tau_max_v,alpha_v)
+        CALL tau2alpha(2,iip1,jjp1,factt,tau_min_u,tau_max_u,alpha_u)
+        CALL tau2alpha(1,iip1,jjp1,factt,tau_min_T,tau_max_T,alpha_T)
+        CALL tau2alpha(1,iip1,jjp1,factt,tau_min_P,tau_max_P,alpha_P)
+        CALL tau2alpha(1,iip1,jjp1,factt,tau_min_Q,tau_max_Q,alpha_Q)
 ! correction de rappel dans couche limite
         if (guide_BL) then
@@ -503,7 +503,7 @@
       CALL pression(ip1jmp1,ap,bp,ps,p)
       if (pressure_exner) then
-        call exner_hyb(ip1jmp1,ps,p,pks,pk)
+        CALL exner_hyb(ip1jmp1,ps,p,pks,pk)
       else
-        call exner_milieu(ip1jmp1,ps,p,pks,pk)
+        CALL exner_milieu(ip1jmp1,ps,p,pks,pk)
       endif
       unskap=1./kappa
@@ -782,5 +782,5 @@
         enddo
     enddo
-    call massbar(pext, pbarx, pbary )
+    CALL massbar(pext, pbarx, pbary )
     do l=1,llm
         do j=1,jjp1
@@ -1699,7 +1699,7 @@
         ierr=nf90_def_var(nid,"au",nf90_float,(/id_lonu,id_latu/),vid_au)
         ierr=nf90_def_var(nid,"av",nf90_float,(/id_lonv,id_latv/),vid_av)
-        call nf95_def_var(nid, "alpha_T", nf90_float, (/id_lonv, id_latu/), &
+        CALL nf95_def_var(nid, "alpha_T", nf90_float, (/id_lonv, id_latu/), &
              varid_alpha_t)
-        call nf95_def_var(nid, "alpha_q", nf90_float, (/id_lonv, id_latu/), &
+        CALL nf95_def_var(nid, "alpha_q", nf90_float, (/id_lonv, id_latu/), &
              varid_alpha_q)
         
@@ -1716,6 +1716,6 @@
         ierr = nf90_put_var(nid,vid_au,alpha_u)
         ierr = nf90_put_var(nid,vid_av,alpha_v)
-        call nf95_put_var(nid, varid_alpha_t, alpha_t)
-        call nf95_put_var(nid, varid_alpha_q, alpha_q)
+        CALL nf95_put_var(nid, varid_alpha_t, alpha_t)
+        CALL nf95_put_var(nid, varid_alpha_q, alpha_q)
 ! --------------------------------------------------------------------
 ! Création des variables sauvegardées
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5101)
@@ -22,5 +22,5 @@
   USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
   USE readTracFiles_mod, ONLY: addPhase
-  use netcdf, only : nf90_nowrite,nf90_open,nf90_noerr,NF90_INQ_VARID,nf90_close,nf90_get_var
+  use netcdf, ONLY: nf90_nowrite,nf90_open,nf90_noerr,nf90_inq_varid,nf90_close,nf90_get_var
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -89,5 +89,5 @@
     write(lunout,*) "You most likely want an aquaplanet initialisation", &
     " (iflag_phys >= 100)"
-    call abort_gcm(modname,"incompatible iflag_phys==1 and read_start==.false.",1)
+    CALL abort_gcm(modname,"incompatible iflag_phys==1 and read_start==.false.",1)
   endif
   
@@ -97,5 +97,5 @@
 
   ! initialize planet radius, rotation rate,...
-  call conf_planete
+  CALL conf_planete
 
   time_0=0.
@@ -142,5 +142,5 @@
      ierr = nf90_open ('relief_in.nc', nf90_nowrite,nid_relief)
      if (ierr==nf90_noerr) THEN
-         ierr=NF90_INQ_VARID(nid_relief,'RELIEF',varid)
+         ierr=nf90_inq_varid(nid_relief,'RELIEF',varid)
          if (ierr==nf90_noerr) THEN
               ierr=nf90_get_var(nid_relief,varid,relief(1:iim,1:jjp1))
@@ -172,5 +172,5 @@
        CALL exner_hyb( ip1jmp1, ps, p, pks, pk)
      else
-       call exner_milieu(ip1jmp1,ps,p,pks,pk)
+       CALL exner_milieu(ip1jmp1,ps,p,pks,pk)
      endif
      CALL massdair(p,masse)
@@ -299,5 +299,5 @@
         ! winds
         if (ok_geost) then
-           call ugeostr(phi,ucov)
+           CALL ugeostr(phi,ucov)
         else
            ucov(:,:)=0.
@@ -343,5 +343,5 @@
         endif ! of if (planet_type=="earth")
 
-        call check_isotopes_seq(q,1,ip1jmp1,'iniacademic_loc')
+        CALL check_isotopes_seq(q,1,ip1jmp1,'iniacademic_loc')
 
         ! add random perturbation to temperature
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F	(revision 5101)
@@ -7,5 +7,5 @@
      &  )
 
-      use control_mod, only : planet_type
+      use control_mod, ONLY: planet_type
       use comconst_mod, only: pi
       USE logic_mod, ONLY: leapf
@@ -106,5 +106,5 @@
          write(lunout,*) " lon = ",rlonv(i)*180./pi, " deg",
      &                   " lat = ",rlatu(j)*180./pi, " deg"
-         call abort_gcm("integrd", "", 1)
+         CALL abort_gcm("integrd", "", 1)
         ENDIF
       ENDDO
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F	(revision 5101)
@@ -65,5 +65,5 @@
 
 
-        call iniinterp_horiz (imo,jmo,imn,jmn ,kllm,
+        CALL iniinterp_horiz (imo,jmo,imn,jmn ,kllm,
      &       rlonuo,rlatvo,rlonun,rlatvn,
      &          ktotal,iik,jjk,jk,ik,intersec,airen)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F	(revision 5101)
@@ -12,5 +12,5 @@
 #endif
       USE infotrac, ONLY: nqtot, isoCheck
-      USE guide_mod, ONLY : guide_main
+      USE guide_mod, ONLY: guide_main
       USE write_field, ONLY: writefield
       USE control_mod, ONLY: nday, day_step, planet_type, offline,
@@ -239,9 +239,9 @@
       jH_cur = jH_cur - int(jH_cur)
 
-      call check_isotopes_seq(q,ip1jmp1,'leapfrog 321')
+      CALL check_isotopes_seq(q,ip1jmp1,'leapfrog 321')
 
 #ifdef CPP_IOIPSL
       if (ok_guide) then
-        call guide_main(itau,ucov,vcov,teta,q,masse,ps)
+        CALL guide_main(itau,ucov,vcov,teta,q,masse,ps)
       endif
 #endif
@@ -271,5 +271,5 @@
 !      CALL filtreg ( finvmaold ,jjp1, llm, -2,2, .TRUE., 1 )
 
-      call check_isotopes_seq(q,ip1jmp1,'leapfrog 400')
+      CALL check_isotopes_seq(q,ip1jmp1,'leapfrog 400')
 
    2  CONTINUE ! Matsuno backward or leapfrog step begins here
@@ -322,5 +322,5 @@
 
 
-      call check_isotopes_seq(q,ip1jmp1,'leapfrog 589')
+      CALL check_isotopes_seq(q,ip1jmp1,'leapfrog 589')
 
 c-----------------------------------------------------------------------
@@ -341,5 +341,5 @@
 c   -------------------------------------------------------------
 
-      call check_isotopes_seq(q,ip1jmp1,
+      CALL check_isotopes_seq(q,ip1jmp1,
      &           'leapfrog 686: avant caladvtrac')
 
@@ -371,5 +371,5 @@
 
        CALL msg('720', modname, isoCheck)
-       call check_isotopes_seq(q,ip1jmp1,'leapfrog 756')
+       CALL check_isotopes_seq(q,ip1jmp1,'leapfrog 756')
         
        CALL integrd ( nqtot,vcovm1,ucovm1,tetam1,psm1,massem1 ,
@@ -378,5 +378,5 @@
 
        CALL msg('724', modname, isoCheck)
-       call check_isotopes_seq(q,ip1jmp1,'leapfrog 762')
+       CALL check_isotopes_seq(q,ip1jmp1,'leapfrog 762')
 
 c .P.Le Van (26/04/94  ajout de  finvpold dans l'appel d'integrd)
@@ -429,5 +429,5 @@
            jH_cur = jH_cur - int(jH_cur)
 !         write(lunout,*)'itau, jD_cur = ', itau, jD_cur, jH_cur
-!         call ju2ymds(jD_cur+jH_cur, an, mois, jour, secondes)
+!         CALL ju2ymds(jD_cur+jH_cur, an, mois, jour, secondes)
 !         write(lunout,*)'current date = ',an, mois, jour, secondes 
 
@@ -514,5 +514,5 @@
         endif
 
-        call friction(ucov,vcov,dtvr)
+        CALL friction(ucov,vcov,dtvr)
         
         ! Sponge layer (if any)
@@ -542,5 +542,5 @@
         CALL massdair(p,masse)
 
-        call check_isotopes_seq(q,ip1jmp1,'leapfrog 1196')
+        CALL check_isotopes_seq(q,ip1jmp1,'leapfrog 1196')
 
 c-----------------------------------------------------------------------
@@ -552,6 +552,6 @@
 
 c   calcul de l'energie cinetique avant dissipation
-        call covcont(llm,ucov,vcov,ucont,vcont)
-        call enercin(vcov,ucov,vcont,ucont,ecin0)
+        CALL covcont(llm,ucov,vcov,ucont,vcont)
+        CALL enercin(vcov,ucov,vcont,ucont,ecin0)
 
 c   dissipation
@@ -566,6 +566,6 @@
 C       On rajoute la tendance due a la transform. Ec -> E therm. cree
 C       lors de la dissipation
-            call covcont(llm,ucov,vcov,ucont,vcont)
-            call enercin(vcov,ucov,vcont,ucont,ecin)
+            CALL covcont(llm,ucov,vcov,ucont,vcont)
+            CALL enercin(vcov,ucov,vcont,ucont,ecin)
             dtetaecdt= (ecin0-ecin)/ pk
 c           teta=teta+dtetaecdt
@@ -616,5 +616,5 @@
 c              IF( lafin ) then  
 c                abort_message = 'Simulation finished'
-c                call abort_gcm(modname,abort_message,0)
+c                CALL abort_gcm(modname,abort_message,0)
 c              ENDIF
         
@@ -627,5 +627,5 @@
 c   preparation du pas d'integration suivant  ......
 
-      call check_isotopes_seq(q,ip1jmp1,'leapfrog 1509')
+      CALL check_isotopes_seq(q,ip1jmp1,'leapfrog 1509')
 
       IF ( .NOT.purmats ) THEN
@@ -658,5 +658,5 @@
               abort_message = 'Simulation finished'
 
-              call abort_gcm(modname,abort_message,0)
+              CALL abort_gcm(modname,abort_message,0)
             ENDIF
 c-----------------------------------------------------------------------
@@ -689,5 +689,5 @@
             ENDIF ! of IF((MOD(itau,iperiod).EQ.0).OR.(itau.EQ.itaufin))
 
-            call check_isotopes_seq(q,ip1jmp1,'leapfrog 1584')
+            CALL check_isotopes_seq(q,ip1jmp1,'leapfrog 1584')
 
 c-----------------------------------------------------------------------
@@ -706,11 +706,11 @@
 #ifdef CPP_IOIPSL
               if (ok_dyn_ins) then
-!               write(lunout,*) "leapfrog: call writehist, itau=",itau
+!               write(lunout,*) "leapfrog: CALL writehist, itau=",itau
                CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
-!               call WriteField('ucov',reshape(ucov,(/iip1,jmp1,llm/)))
-!               call WriteField('vcov',reshape(vcov,(/iip1,jjm,llm/)))
-!              call WriteField('teta',reshape(teta,(/iip1,jmp1,llm/)))
-!               call WriteField('ps',reshape(ps,(/iip1,jmp1/)))
-!               call WriteField('masse',reshape(masse,(/iip1,jmp1,llm/)))
+!               CALL WriteField('ucov',reshape(ucov,(/iip1,jmp1,llm/)))
+!               CALL WriteField('vcov',reshape(vcov,(/iip1,jjm,llm/)))
+!              CALL WriteField('teta',reshape(teta,(/iip1,jmp1,llm/)))
+!               CALL WriteField('ps',reshape(ps,(/iip1,jmp1/)))
+!               CALL WriteField('masse',reshape(masse,(/iip1,jmp1,llm/)))
               endif ! of if (ok_dyn_ins)
 #endif
@@ -774,5 +774,5 @@
       ELSE ! of IF (.not.purmats)
 
-            call check_isotopes_seq(q,ip1jmp1,'leapfrog 1664')
+            CALL check_isotopes_seq(q,ip1jmp1,'leapfrog 1664')
 
 c       ........................................................
@@ -793,5 +793,5 @@
                IF( itau == itaufinp1 ) then
                  abort_message = 'Simulation finished'
-                 call abort_gcm(modname,abort_message,0)
+                 CALL abort_gcm(modname,abort_message,0)
                ENDIF
                GO TO 2
@@ -799,5 +799,5 @@
             ELSE ! of IF(forward) i.e. backward step
  
-              call check_isotopes_seq(q,ip1jmp1,'leapfrog 1698')
+              CALL check_isotopes_seq(q,ip1jmp1,'leapfrog 1698')
 
               IF(MOD(itau,iperiod)==0 .OR. itau==itaufin) THEN
@@ -836,5 +836,5 @@
 #ifdef CPP_IOIPSL
               if (ok_dyn_ins) then
-!                write(lunout,*) "leapfrog: call writehist (b)",
+!                write(lunout,*) "leapfrog: CALL writehist (b)",
 !     &                        itau,iecri
                 CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F	(revision 5101)
@@ -58,5 +58,5 @@
 c
 
-      call check_isotopes_seq(q,ip1jmp1,'qminimum 52')   
+      CALL check_isotopes_seq(q,ip1jmp1,'qminimum 52')
 
       zx_defau_diag(:,:,:)=0.0
@@ -158,5 +158,5 @@
        enddo !do k=2,llm
 
-       call check_isotopes_seq(q,ip1jmp1,'qminimum 168')
+       CALL check_isotopes_seq(q,ip1jmp1,'qminimum 168')
         
       
@@ -185,5 +185,5 @@
        enddo !do k=2,llm  
 
-       call check_isotopes_seq(q,ip1jmp1,'qminimum 197')
+       CALL check_isotopes_seq(q,ip1jmp1,'qminimum 197')
 
       endif !if (niso > 0) then
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90	(revision 5101)
@@ -8,5 +8,5 @@
 
 
-USE comvert_mod, only :  preff, pa
+USE comvert_mod, ONLY:  preff, pa
 USE inigeomphy_mod, ONLY: inigeomphy
 
@@ -18,5 +18,5 @@
   USE logic_mod, ONLY: ecripar, iflag_phys, read_start
 
-  USE serre_mod, ONLY : clon,clat,transx,transy,alphax,alphay,pxo,pyo,              &
+  USE serre_mod, ONLY: clon,clat,transx,transy,alphax,alphay,pxo,pyo,              &
         grossismx, grossismy, dzoomx, dzoomy,taux,tauy
   USE mod_const_mpi, ONLY: comm_lmdz
@@ -101,5 +101,5 @@
   CALL conf_gcm( 99, .TRUE.)
 
-  if (mod(iphysiq, iperiod) /= 0) call abort_gcm("conf_gcm", &
+  if (mod(iphysiq, iperiod) /= 0) CALL abort_gcm("conf_gcm", &
        "iphysiq must be a multiple of iperiod", 1)
 
@@ -139,5 +139,5 @@
   mois = 1
   heure = 0.
-! call ymds2ju(annee_ref, mois, day_ref, heure, jD_ref)
+! CALL ymds2ju(annee_ref, mois, day_ref, heure, jD_ref)
   jH_ref = jD_ref - int(jD_ref)
   jD_ref = int(jD_ref)
@@ -170,5 +170,5 @@
 ! Initialisation de la parametrisation
 !---------------------------------------------------------------------
-      call call_ini_replay
+      CALL call_ini_replay
 
 !---------------------------------------------------------------------
@@ -177,5 +177,5 @@
       DO it=1,ntime
          print*,'Pas de temps ',it,klon,klev
-         call call_param_replay(klon,klev)
+         CALL call_param_replay(klon,klev)
       ENDDO
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F	(revision 5101)
@@ -78,24 +78,24 @@
 
 cprint*,'Entree vlx1'
-c	call minmaxq(zq,qmin,qmax,'avant vlx     ')
-      call vlx(zq,pente_max,zm,mu,iq)
+c	CALL minmaxq(zq,qmin,qmax,'avant vlx     ')
+      CALL vlx(zq,pente_max,zm,mu,iq)
 cprint*,'Sortie vlx1'
-c	call minmaxq(zq,qmin,qmax,'apres vlx1    ')
+c	CALL minmaxq(zq,qmin,qmax,'apres vlx1    ')
 
 c print*,'Entree vly1'
 
-      call vly(zq,pente_max,zm,mv,iq)
-c	call minmaxq(zq,qmin,qmax,'apres vly1     ')
+      CALL vly(zq,pente_max,zm,mv,iq)
+c	CALL minmaxq(zq,qmin,qmax,'apres vly1     ')
 cprint*,'Sortie vly1'
-      call vlz(zq,pente_max,zm,mw,iq)
-c	call minmaxq(zq,qmin,qmax,'apres vlz     ')
-
-
-      call vly(zq,pente_max,zm,mv,iq)
-c	call minmaxq(zq,qmin,qmax,'apres vly     ')
-
-
-      call vlx(zq,pente_max,zm,mu,iq)
-c	call minmaxq(zq,qmin,qmax,'apres vlx2    ')
+      CALL vlz(zq,pente_max,zm,mw,iq)
+c	CALL minmaxq(zq,qmin,qmax,'apres vlz     ')
+
+
+      CALL vly(zq,pente_max,zm,mv,iq)
+c	CALL minmaxq(zq,qmin,qmax,'apres vly     ')
+
+
+      CALL vlx(zq,pente_max,zm,mu,iq)
+c	CALL minmaxq(zq,qmin,qmax,'apres vlx2    ')
 	
 
@@ -124,5 +124,5 @@
       END
       RECURSIVE SUBROUTINE vlx(q,pente_max,masse,u_m,iq)
-      USE infotrac, ONLY : nqtot,tracers, ! CRisi
+      USE infotrac, ONLY: nqtot,tracers, ! CRisi
      &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
 
@@ -414,5 +414,5 @@
       do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
-        call vlx(Ratio,pente_max,masseq,u_mq,iq2)
+        CALL vlx(Ratio,pente_max,masseq,u_mq,iq2)
       enddo
 ! end CRisi
@@ -459,5 +459,5 @@
       END
       RECURSIVE SUBROUTINE vly(q,pente_max,masse,masse_adv_v,iq)
-      USE infotrac, ONLY : nqtot,tracers, ! CRisi
+      USE infotrac, ONLY: nqtot,tracers, ! CRisi
      &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
 c
@@ -739,5 +739,5 @@
       do ifils=1,tracers(iq)%nqDescen
         iq2=tracers(iq)%iqDescen(ifils)
-        call vly(Ratio,pente_max,masseq,qbyv,iq2)
+        CALL vly(Ratio,pente_max,masseq,qbyv,iq2)
       enddo
 
@@ -822,5 +822,5 @@
       END
       RECURSIVE SUBROUTINE vlz(q,pente_max,masse,w,iq)
-      USE infotrac, ONLY : nqtot,tracers, ! CRisi 
+      USE infotrac, ONLY: nqtot,tracers, ! CRisi
      &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
 c
@@ -945,5 +945,5 @@
       do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
-        call vlz(Ratio,pente_max,masseq,wq,iq2)
+        CALL vlz(Ratio,pente_max,masseq,wq,iq2)
       enddo
 ! end CRisi  
@@ -1017,5 +1017,5 @@
       integer ismin,ismax
 
-      call scopy (ip1jmp1*llm,zq,1,zzq,1)
+      CALL scopy (ip1jmp1*llm,zq,1,zzq,1)
 
       ijlmin=ismin(ijp1llm,zq,1)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F	(revision 5101)
@@ -127,27 +127,27 @@
       enddo  
 
-c      call minmaxq(zq,qmin,qmax,'avant vlxqs     ')
-      call vlxqs(zq,pente_max,zm,mu,qsat,iq)
-
-c     call minmaxq(zq,qmin,qmax,'avant vlyqs     ')
-
-      call vlyqs(zq,pente_max,zm,mv,qsat,iq)
-
-c      call minmaxq(zq,qmin,qmax,'avant vlz     ')
-
-      call vlz(zq,pente_max,zm,mw,iq)
-
-c     call minmaxq(zq,qmin,qmax,'avant vlyqs     ')
-c     call minmaxq(zm,qmin,qmax,'M avant vlyqs     ')
-
-      call vlyqs(zq,pente_max,zm,mv,qsat,iq)
-
-c     call minmaxq(zq,qmin,qmax,'avant vlxqs     ')
-c     call minmaxq(zm,qmin,qmax,'M avant vlxqs     ')
-
-      call vlxqs(zq,pente_max,zm,mu,qsat,iq)
-
-c     call minmaxq(zq,qmin,qmax,'apres vlxqs     ')
-c     call minmaxq(zm,qmin,qmax,'M apres vlxqs     ')
+c      CALL minmaxq(zq,qmin,qmax,'avant vlxqs     ')
+      CALL vlxqs(zq,pente_max,zm,mu,qsat,iq)
+
+c     CALL minmaxq(zq,qmin,qmax,'avant vlyqs     ')
+
+      CALL vlyqs(zq,pente_max,zm,mv,qsat,iq)
+
+c      CALL minmaxq(zq,qmin,qmax,'avant vlz     ')
+
+      CALL vlz(zq,pente_max,zm,mw,iq)
+
+c     CALL minmaxq(zq,qmin,qmax,'avant vlyqs     ')
+c     CALL minmaxq(zm,qmin,qmax,'M avant vlyqs     ')
+
+      CALL vlyqs(zq,pente_max,zm,mv,qsat,iq)
+
+c     CALL minmaxq(zq,qmin,qmax,'avant vlxqs     ')
+c     CALL minmaxq(zm,qmin,qmax,'M avant vlxqs     ')
+
+      CALL vlxqs(zq,pente_max,zm,mu,qsat,iq)
+
+c     CALL minmaxq(zq,qmin,qmax,'apres vlxqs     ')
+c     CALL minmaxq(zm,qmin,qmax,'M apres vlxqs     ')
 
 
@@ -177,5 +177,5 @@
       END
       SUBROUTINE vlxqs(q,pente_max,masse,u_m,qsat,iq)
-      USE infotrac, ONLY : nqtot,tracers ! CRisi
+      USE infotrac, ONLY: nqtot,tracers ! CRisi
 
 c
@@ -471,5 +471,5 @@
       do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
-        call vlx(Ratio,pente_max,masseq,u_mq,iq2)
+        CALL vlx(Ratio,pente_max,masseq,u_mq,iq2)
       enddo
 ! end CRisi
@@ -514,5 +514,5 @@
       END
       SUBROUTINE vlyqs(q,pente_max,masse,masse_adv_v,qsat,iq)
-      USE infotrac, ONLY : nqtot,tracers ! CRisi
+      USE infotrac, ONLY: nqtot,tracers ! CRisi
 c
 c     Auteurs:   P.Le Van, F.Hourdin, F.Forget 
@@ -779,5 +779,5 @@
         iq2=tracers(iq)%iqDescen(ifils)
         !write(*,*) 'vlyqs 783: appel rec de vly, iq2=',iq2
-        call vly(Ratio,pente_max,masseq,qbyv,iq2)
+        CALL vly(Ratio,pente_max,masseq,qbyv,iq2)
       enddo
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.F	(revision 5101)
@@ -107,7 +107,7 @@
       write(unit(if),'(a12)') 'UNDEF 1.0E30'
       write(unit(if),'(a5,1x,a40)') 'TITLE ',title(if)
-      call formcoord(unit(if),im,xd(iii,if),1.,.false.,'XDEF')
-      call formcoord(unit(if),jm,yd(iji,if),1.,.true.,'YDEF')
-      call formcoord(unit(if),lm,zd(1,if),1.,.false.,'ZDEF')
+      CALL formcoord(unit(if),im,xd(iii,if),1.,.false.,'XDEF')
+      CALL formcoord(unit(if),jm,yd(iji,if),1.,.true.,'YDEF')
+      CALL formcoord(unit(if),lm,zd(1,if),1.,.false.,'ZDEF')
       write(unit(if),'(a4,i10,a30)')
      &       'TDEF ',itime(if),' LINEAR 02JAN1987 1MO '
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/write_paramLMDZ_dyn.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/write_paramLMDZ_dyn.h	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/write_paramLMDZ_dyn.h	(revision 5101)
@@ -241,5 +241,5 @@
 c
       if (ok_sync) then
-        call histsync(nid_ctesGCM)
+        CALL histsync(nid_ctesGCM)
       endif
 c
